/************************************************************
 * November 20, 1996 - Steve Sprang (sprang@andrew.cmu.edu)
 * 		- Modified VideoView class from Be to work with my
 *		  interface
 ***********************************************************/
 
#ifndef VIDEOVIEW__H
#define VIDEOVIEW__H

#include "qcam_driver.h"

enum QuickCamSizes {
	QCAM_80x60,
	QCAM_160x120,
	QCAM_320x240
};

class VideoView : public BView
{

protected:

BBitmap *		m_nextBitmap;
BBitmap *		m_bitmap;
BBitmap *		m_bitmap1;
BBitmap *		m_bitmap2;
int				m_qcamDevice;
int				m_numPix;
sem_id			m_sem;

public:
				VideoView(BRect r, ulong size, int bpp);
				~VideoView();
				
		void	DoFrame();
		void	ResizeBitmaps(ulong size);
		void	AdjustBitDepth(ulong bpp);
		void	UpdateBrightness(ulong val);
		void	CreateBitmaps(ulong size, qcam &qc);
virtual void	AttachedToWindow();
virtual void	MessageReceived(BMessage *msg);
virtual void 	KeyDown(ulong aChar);
virtual void	Draw(BRect updateRect);
};

#endif