/************************************************************
 * November 20, 1996 - Steve Sprang (sprang@andrew.cmu.edu)
 * 		- Created the VideoWindow and BrightnessScroll 
 *		  classes to interface with the basic code from Be.
 ***********************************************************/
 
#ifndef VIDEOWINDOW__H
#define VIDEOWINDOW__H

class VideoView;
class BrightnessScroll;

const int kMenuSize = 16;
const int kToolSize = 40;
const int kMarginSize = 40;

enum {
	mSMALL		= 'smal',
	mMEDIUM 	= 'medi',
	mLARGE		= 'larg',
	m4BITS		= '4bit',
	m6BITS		= '6bit'
};
	
class VideoWindow : public BWindow {
	public:
						VideoWindow(BRect, const char *);
		virtual void	MessageReceived(BMessage *);
				void	CreateMyMenus(BRect);
				void	UpdateInfo(long);
		
	private:
					VideoView			*vv;
					BMenuBar			*menu;
					BStringView			*info;
					BrightnessScroll	*scroll;
};

#endif